"use strict";
var ak_editor_prosemirror_1 = require("ak-editor-prosemirror");
var SyncPlugin = (function () {
    function SyncPlugin(pm) {
        // Poke inside the trigger all update schedulers. Normally it would be
        // done on a timeout if the editor is in the DOM, but for tests we want to
        // skip that requirement.
        function forceSync() {
            pm.centralScheduler.force();
        }
        // Some subscription handlers need to adhere to specific behaviour (e.g.
        // returning a value).
        var handlers = {
            transformPasted: function (slice) {
                forceSync();
                return slice;
            },
            transformPastedText: function (text) {
                forceSync();
                return text;
            },
            transformPastedHTML: function (html) {
                forceSync();
                return html;
            },
        };
        var defaultHandler = function () { forceSync(); };
        Object.keys(pm.on)
            .forEach(function (name) {
            var handler = handlers[name] || defaultHandler;
            pm.on[name].add(handler);
        });
    }
    return SyncPlugin;
}());
exports.SyncPlugin = SyncPlugin;
;
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = new ak_editor_prosemirror_1.Plugin(SyncPlugin);
//# sourceMappingURL=sync-plugin.js.map